- [HTTP request](https://docs.cloud.google.com/stackdriver/docs/reference/observability/api/rest/v1/projects.locations.buckets.datasets/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/stackdriver/docs/reference/observability/api/rest/v1/projects.locations.buckets.datasets/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/stackdriver/docs/reference/observability/api/rest/v1/projects.locations.buckets.datasets/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/stackdriver/docs/reference/observability/api/rest/v1/projects.locations.buckets.datasets/list#body.request_body)
- [Response body](https://docs.cloud.google.com/stackdriver/docs/reference/observability/api/rest/v1/projects.locations.buckets.datasets/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/stackdriver/docs/reference/observability/api/rest/v1/projects.locations.buckets.datasets/list#body.ListDatasetsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/stackdriver/docs/reference/observability/api/rest/v1/projects.locations.buckets.datasets/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/stackdriver/docs/reference/observability/api/rest/v1/projects.locations.buckets.datasets/list#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/stackdriver/docs/reference/observability/api/rest/v1/projects.locations.buckets.datasets/list#try-it)

List datasets of a bucket.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast2 asia-southeast3 australia-southeast2 europe-north2 europe-west1 europe-west3 europe-west4 europe-west6 europe-west8 me-central1 northamerica-northeast2 northamerica-south1 southamerica-west1 us-central1 us-east1 us-east5 us-south1 us-west1 us-west2 us-west3 asia-northeast1 asia-southeast1 australia-southeast1 europe-central2 europe-north1 europe-southwest1 europe-west10 europe-west12 europe-west2 europe-west9 me-central2 me-west1 northamerica-northeast1 southamerica-east1 us-east4 us-west4 us eu   
`GET https://observability.googleapis.com/v1/{parent=projects/*/locations/*/buckets/*}/datasets`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent bucket that owns this collection of datasets. The format is: projects/[PROJECT_ID]/locations/[LOCATION]/buckets/[BUCKET_ID] |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of datasets to return. If unspecified, then at most 100 datasets are returned. The maximum value is 1000; values above 1000 are coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `datasets.list` call. Provide this to retrieve the subsequent page. |
| `showDeleted` | `boolean` Optional. If true, then the response will include deleted datasets. |

### Request body

The request body must be empty.

### Response body

Response for listing datasets.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "datasets": [ { object (`https://docs.cloud.google.com/stackdriver/docs/reference/observability/api/rest/v1/projects.locations.buckets.datasets#Dataset`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `datasets[]` | ``object (`https://docs.cloud.google.com/stackdriver/docs/reference/observability/api/rest/v1/projects.locations.buckets.datasets#Dataset`)`` The list of datasets. |
| `nextPageToken` | `string` A token that can be sent as `pageToken` to retrieve the next page. When this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `observability.datasets.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).